{% extends 'base.html.twig' %}

{% block title %}WoolTree | {{ app.user.pseudo }}{% endblock %}

{% block body %}

{% for message in app.flashes('success') %}
    <div class="alert alert-success alert-dismissible fade show">
        {{ message }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
    </div>
{% endfor %}
{% for message in app.flashes('danger') %}
    <div class="alert alert-danger alert-dismissible fade show">
        {{ message }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
    </div>
{% endfor %}

<h3>{% trans %}Customization{% endtrans %}</h3>

<div class="article-container my-1">
    {% set avatar = '/uploads/avatar/' ~ user.imageName %}

    {% if user.imageName %}
        <div>
            <img class="img-fluid rounded-circle" src="{{ asset(avatar)| imagine_filter('squared_thumbnail_small') }}">
        </div>
    {% endif %}
   
</div>

 {{ form_start(form) }}
        {{ form_row(form.imageFile, {'attr': {'class': 'form-control'}}) }}
        <p></p>
        <button type="submit" class="btn btn-outline-secondary">{% trans %}Save{% endtrans %}</button>
    {{ form_end(form) }}

{% endblock %}
